Permalink
Browse files

Removing cucumber dependencies from gemfile

  • Loading branch information...
tscolari committed Nov 21, 2011
1 parent 384250b commit 2e74442ddd2a8dae2b806c796839d9775394eb80
Showing with 15 additions and 49 deletions.
  1. +6 −6 Gemfile
  2. +4 −38 Gemfile.lock
  3. +2 −2 spec/integration/navigation_spec.rb
  4. +3 −3 spec/spec_helper.rb
View
12 Gemfile
@@ -8,15 +8,15 @@ gemspec
group :test do
gem 'rspec'
gem 'rspec-rails'
- gem 'cucumber'
- gem 'cucumber-rails'
gem 'webrat'
end
-gem 'metric_fu'
-gem 'map'
-gem 'fattr'
-gem 'arrayfields'
+group :development do
+ gem 'metric_fu'
+ gem 'map'
+ gem 'fattr'
+ gem 'arrayfields'
+end
# Declare any dependencies that are still in development here instead of in
# your gemspec. These might include edge Rails or gems from your path or
View
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- mobylette (1.4.1)
+ mobylette (1.4.2)
rails (~> 3.0)
GEM
@@ -41,15 +41,6 @@ GEM
arrayfields (4.7.4)
bcrypt-ruby (3.0.0)
builder (3.0.0)
- capybara (1.0.1)
- mime-types (>= 1.16)
- nokogiri (>= 1.3.3)
- rack (>= 1.0.0)
- rack-test (>= 0.5.4)
- selenium-webdriver (~> 2.0)
- xpath (~> 0.1.4)
- childprocess (0.2.2)
- ffi (~> 1.0.6)
chronic (0.3.0)
churn (0.0.13)
chronic (>= 0.2.3)
@@ -59,33 +50,19 @@ GEM
ruby_parser (~> 2.0.4)
sexp_processor (~> 3.0.3)
colored (1.2)
- cucumber (1.0.2)
- builder (>= 2.1.2)
- diff-lcs (>= 1.1.2)
- gherkin (~> 2.4.5)
- json (>= 1.4.6)
- term-ansicolor (>= 1.0.5)
- cucumber-rails (1.0.2)
- capybara (>= 1.0.0)
- cucumber (~> 1.0.0)
- nokogiri (>= 1.4.6)
diff-lcs (1.1.3)
erubis (2.7.0)
fattr (2.2.0)
- ffi (1.0.9)
flay (1.4.3)
ruby_parser (~> 2.0)
sexp_processor (~> 3.0)
flog (2.5.2)
ruby_parser (~> 2.0)
sexp_processor (~> 3.0)
- gherkin (2.4.16)
- json (>= 1.4.6)
haml (3.1.2)
hike (1.2.1)
hirb (0.5.0)
i18n (0.6.0)
- json (1.5.3)
json_pure (1.5.3)
mail (2.3.0)
i18n (>= 0.4.0)
@@ -105,10 +82,10 @@ GEM
reek (>= 1.2.6)
roodi (>= 2.1.0)
syntax
- mime-types (1.16)
+ mime-types (1.17.2)
multi_json (1.0.3)
nokogiri (1.5.0)
- polyglot (0.3.2)
+ polyglot (0.3.3)
rack (1.3.2)
rack-cache (1.0.3)
rack (>= 0.4)
@@ -169,39 +146,28 @@ GEM
sexp_processor (~> 3.0)
ruby_parser (2.0.6)
sexp_processor (~> 3.0)
- rubyzip (0.9.4)
- selenium-webdriver (2.5.0)
- childprocess (>= 0.2.1)
- ffi (>= 1.0.7)
- json_pure
- rubyzip
sexp_processor (3.0.6)
sprockets (2.0.0)
hike (~> 1.2)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
syntax (1.0.0)
- term-ansicolor (1.0.6)
thor (0.14.6)
tilt (1.3.3)
treetop (1.4.10)
polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.29)
+ tzinfo (0.3.31)
webrat (0.7.3)
nokogiri (>= 1.2.0)
rack (>= 1.0)
rack-test (>= 0.5.3)
- xpath (0.1.4)
- nokogiri (~> 1.3)
PLATFORMS
ruby
DEPENDENCIES
arrayfields
- cucumber
- cucumber-rails
fattr
map
metric_fu
@@ -1,8 +1,8 @@
require 'spec_helper'
describe "Navigation" do
- include Capybara
-
+ #include Capybara
+
it "should be a valid app" do
::Rails.application.should be_a(Dummy::Application)
end
View
@@ -12,9 +12,9 @@
Rails.backtrace_cleaner.remove_silencers!
# Configure capybara for integration testing
-require "capybara/rails"
-Capybara.default_driver = :rack_test
-Capybara.default_selector = :css
+# require "capybara/rails"
+# Capybara.default_driver = :rack_test
+# Capybara.default_selector = :css
# Run any available migration
#ActiveRecord::Migrator.migrate File.expand_path("../dummy/db/migrate/", __FILE__)

0 comments on commit 2e74442

Please sign in to comment.